gr = love.graphics
function love.load()
	screen = {w=400,h=400}
	love.window.setMode(screen.w,screen.h)
	love.window.setTitle('Push and Pop Demo')
	planets = {
		{radius = 5,orbit=100,angle = 0,speed=1,color={255,155, 0}},
		{radius =10,orbit=150,angle = 0,speed=2,color={ 55,55,155}}
		}
	center={x=screen.w/2,y=screen.h/2}
	end
function love.update(dt)
	for i=1,#planets do
		planets[i].angle = planets[i].angle+planets[i].speed*dt
		end
	end
function love.draw()
	gr.setColor(255,255,0)
	gr.circle('fill',center.x,center.y,20)
	for i=1,#planets do
		gr.setColor(planets[i].color)
		gr.push()
		gr.translate(center.x,center.y)
		gr.rotate(planets[i].angle)
		gr.circle('fill',planets[i].orbit,0,planets[i].radius)
		gr.pop()
		end
	end
function love.keypressed( key )
	if key == "escape"	then love.event.quit() end
	end
